PROGRAM abounds

  IMPLICIT NONE
  REAL :: A(0:99),B(3,6:9,5)


  PRINT*, "shape(a) = ",shape(a)
  PRINT*, "size(a) = ",size(a)
  PRINT*, "lbound(a) = ",lbound(a)
  PRINT*, "ubound(a) = ",ubound(a)
  PRINT*, "===================================s"

  PRINT*, "shape(b) = ",shape(b)
  PRINT*, "size(b) = ",size(b)
  PRINT*, "lbound(b) = ",lbound(b)
  PRINT*, "ubound(b) = ",ubound(b)
  
  b = 10.
  PRINT*, "b(1,6,1) = ",b(1,6,1)

END PROGRAM abounds
